ApiUser connections
Get a connection
Return a specific connection by ID. Connections are scoped to the authenticated user; accessing another user's connection returns 404.
Authorization
User API Key AuthorizationBearer <token>
User API key (mgw_usr_live_* or mgw_usr_test_*)
In: header
Path Parameters
connection_id*string
Format
uuidCookie Parameters
access_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"provider_name": "string",
"provider_email": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
"server_id": "820efca4-4a15-4ab7-82fc-9e76f6d61325",
"token_type": "Bearer",
"expires_at": "2019-08-24T14:15:22Z",
"scopes": [
"string"
],
"is_valid": true,
"health_status": "healthy",
"last_refreshed_at": "2019-08-24T14:15:22Z",
"next_refresh_at": "2019-08-24T14:15:22Z",
"consecutive_refresh_failures": 0,
"refresh_error": "string",
"mcp_session_id": "string",
"last_accessed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"revoked_at": "2019-08-24T14:15:22Z",
"revoke_reason": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Force-refresh a connection token
Trigger an immediate OAuth token refresh for a connection owned by the authenticated user. Connections are scoped to the current API key owner. Requires a valid refresh token.
Get connection health summary
Return an aggregated health summary of all connections for the authenticated user. Connections are scoped to the current API key owner. Useful for dashboards and alerting.
